JAXB v2.2.2

## javax.xml.bind.annotation.adapters
Class NormalizedStringAdapter

    java.lang.Object
      javax.xml.bind.annotation.adapters.XmlAdapter<String,String>
          javax.xml.bind.annotation.adapters.NormalizedStringAdapter

    public final class NormalizedStringAdapter

extends XmlAdapter<String,String>

`XmlAdapter` to handle `xs:normalizedString`.

This adapter removes leading and trailing whitespaces, then replace any tab, CR, and LF by a whitespace character ' '.

Since:
  JAXB 2.0
Author:
  Kohsuke Kawaguchi

Constructor Summary
`NormalizedStringAdapter()`

Method Summary
`protected static boolean` `isWhiteSpaceExceptSpace(char ch)` Returns true if the specified char is a white space character but not 0x20.
`String` `marshal(String s)` No-op.
`String` `unmarshal(String text)` Replace any tab, CR, and LF by a whitespace character ' ', as specified in the whitespace facet 'replace'

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalizedStringAdapter

    public NormalizedStringAdapter()

Method Detail

### unmarshal

    public String unmarshal(String text)

  Replace any tab, CR, and LF by a whitespace character ' ', as specified in the whitespace facet 'replace'

  Specified by:
    `unmarshal` in class `XmlAdapter<String,String>`
  Parameters:
    `text` - The value to be converted. Can be null.

### marshal

    public String marshal(String s)

  No-op. Just return the same string given as the parameter.

  Specified by:
    `marshal` in class `XmlAdapter<String,String>`
  Parameters:
    `s` - The value to be convereted. Can be null.

### isWhiteSpaceExceptSpace

    protected static boolean isWhiteSpaceExceptSpace(char ch)

  Returns true if the specified char is a white space character but not 0x20.

JAXB 2.0 PFD Specification License

Comments to: spec-comments@jsr222.dev.java.net
More information at: http://java.sun.com/xml/jaxb

Copyright © 2004 by Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.